<template>
  <a-spin :spinning="confirmLoading">
    <j-form-container :disabled="formDisabled">
      <a-form-model ref="form" :model="model" :rules="validatorRules" slot="detail">
        <a-row>
          <a-col :span="24">
            <a-form-model-item label="现团长id" :labelCol="labelCol" :wrapperCol="wrapperCol" prop="leaderId">
              <j-dict-select-tag type="list" v-model="model.leaderId" dictCode="teambuy_team_leader,name,id" placeholder="请选择现团长id" />
            </a-form-model-item>
          </a-col>
          <a-col :span="24">
            <a-form-model-item label="更换团长id" :labelCol="labelCol" :wrapperCol="wrapperCol" prop="leaderUpdateId">
              <j-dict-select-tag type="list" v-model="model.leaderUpdateId" dictCode="teambuy_team_leader,name,id" placeholder="请选择更换团长id" />
            </a-form-model-item>
          </a-col>
          <a-col :span="24">
            <a-form-model-item label="关联团员id" :labelCol="labelCol" :wrapperCol="wrapperCol" prop="memberId">
              <j-dict-select-tag type="list" v-model="model.memberId" dictCode="han_hai_member,nick_name,id" placeholder="请选择关联团员id" />
            </a-form-model-item>
          </a-col>
          <a-col :span="24">
            <a-form-model-item label="关联状态" :labelCol="labelCol" :wrapperCol="wrapperCol" prop="status">
              <j-dict-select-tag type="list" v-model="model.status" dictCode="teambuy_status_relation" placeholder="请选择关联状态" />
            </a-form-model-item>
          </a-col>
        </a-row>
      </a-form-model>
    </j-form-container>
  </a-spin>
</template>

<script>

  import { httpAction, getAction } from '@/api/manage'
  import { validateDuplicateValue } from '@/utils/util'

  export default {
    name: 'TeambuyTeamRelationForm',
    components: {
    },
    props: {
      //表单禁用
      disabled: {
        type: Boolean,
        default: false,
        required: false
      }
    },
    data () {
      return {
        model:{
         },
        labelCol: {
          xs: { span: 24 },
          sm: { span: 5 },
        },
        wrapperCol: {
          xs: { span: 24 },
          sm: { span: 16 },
        },
        confirmLoading: false,
        validatorRules: {
        },
        url: {
          add: "/teambuyTeamRelation/teambuyTeamRelation/add",
          edit: "/teambuyTeamRelation/teambuyTeamRelation/edit",
          queryById: "/teambuyTeamRelation/teambuyTeamRelation/queryById"
        }
      }
    },
    computed: {
      formDisabled(){
        return this.disabled
      },
    },
    created () {
       //备份model原始值
      this.modelDefault = JSON.parse(JSON.stringify(this.model));
    },
    methods: {
      add () {
        this.edit(this.modelDefault);
      },
      edit (record) {
        this.model = Object.assign({}, record);
        this.visible = true;
      },
      submitForm () {
        const that = this;
        // 触发表单验证
        this.$refs.form.validate(valid => {
          if (valid) {
            that.confirmLoading = true;
            let httpurl = '';
            let method = '';
            if(!this.model.id){
              httpurl+=this.url.add;
              method = 'post';
            }else{
              httpurl+=this.url.edit;
               method = 'put';
            }
            httpAction(httpurl,this.model,method).then((res)=>{
              if(res.success){
                that.$message.success(res.message);
                that.$emit('ok');
              }else{
                that.$message.warning(res.message);
              }
            }).finally(() => {
              that.confirmLoading = false;
            })
          }
         
        })
      },
    }
  }
</script>